#!/usr/bin/perl -w
use strict;
#use diagnostics;

#(This license is from zlib of Jean-loup Gailly and Mark Adler)
#
# Copyright (C) 2002 Frederick Dean <software@fdd.com>
#
#  This software is provided 'as-is', without any express or implied
#  warranty.  In no event will the authors be held liable for any damages
#  arising from the use of this software.
#
#  Permission is granted to anyone to use this software for any purpose,
#  including commercial applications, and to alter it and redistribute it
#  freely, subject to the following restrictions:
#
#  1. The origin of this software must not be misrepresented; you must not
#     claim that you wrote the original software. If you use this software
#     in a product, an acknowledgment in the product documentation would be
#     appreciated but is not required.
#  2. Altered source versions must be plainly marked as such, and must not be
#     misrepresented as being the original software.
#  3. This notice may not be removed or altered from any source distribution.
#
# Contributor(s):    Frederick Dean <software@fdd.com>

use db;

db::SendSQL("SHOW TABLES");
my @tables;
while(my $table = db::FetchSQLData()) {
   next if $table eq "user";
   push(@tables,$table); 
}
foreach my $table (@tables) {
   print("drop table $table\n");
   db::SendSQL("DROP TABLE $table");
}

system("./checksetup.pl");
$? and die;
chmod(0775, glob("reset*"));
chmod(0775, glob("test*"));
chmod(0775, glob("*.pl"));
chmod(0775, "backup");

system("./loadrcs.pl / /home/cvs/dcvs");
#system("./loadrcs.pl / /home/cvs/junk");
system("./loadrcs.pl / /home/cvs/playground");



